commit: 103570154fc121524fb166d58dcac23f62ce4cb9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 22 20:57:55 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 00:10:56 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10357015
dev-python/pydata-sphinx-theme: Bump to 0.4.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pydata-sphinx-theme/Manifest | 1 +
.../pydata-sphinx-theme-0.4.2.ebuild | 33 ++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/pydata-sphinx-theme/Manifest
b/dev-python/pydata-sphinx-theme/Manifest
index 8a78e9bc74a..c818793ab0b 100644
--- a/dev-python/pydata-sphinx-theme/Manifest
+++ b/dev-python/pydata-sphinx-theme/Manifest
@@ -1 +1,2 @@
DIST pydata-sphinx-theme-0.4.1.tar.gz 3279361 BLAKE2B
d3538dea9444272f1cb314d8b2bd8656b5114b916f31c4cca078867b02a24c60fc91e5ac367d09335b3ce4b9c9fb44405f61ed70b19ae9fed5d8919fc68f1566
SHA512
dbca1f7bde25c20a5ffb5b37ac808d84c938e6cadb6e0a6bc2d72101993889f4f7be3bdc50488bed1945779d30ca0f131bf74b16be2df00b5fa093f8491fad39
+DIST pydata-sphinx-theme-0.4.2.tar.gz 3279200 BLAKE2B
d1229e0af813fd5f69aa1b4d2f6e1b882f9e469cfd296e16a35e7d9aba4336faf245f0b52053b606be9839e490f690d24624ecc8fe4a3b40a6057081224889dc
SHA512
9d786937d5b05e86af779893f28f553b13220e8e208c87235ba311cf830aaf718aafa2142c400b77728c407d6cff4ce66e0c0b9bec91efb61be8f75473c6a1d0
diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.2.ebuild
b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.2.ebuild
new file mode 100644
index 00000000000..5c75e3b66e5
--- /dev/null
+++ b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Bootstrap-based Sphinx theme from the PyData community"
+HOMEPAGE="https://github.com/pandas-dev/pydata-sphinx-theme"
+SRC_URI="https://github.com/pandas-dev/pydata-sphinx-theme/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
+
+LICENSE="BSD-with-disclosure"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/beautifulsoup[${PYTHON_USEDEP}]
+ dev-python/pytest-regressions[${PYTHON_USEDEP}]
+ )"
+
+RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
+
+# ModuleNotFoundError: No module named 'plotly' even if dev-python/plotly is
installed
+#distutils_enable_sphinx docs dev-python/commonmark dev-python/recommonmark
dev-python/numpydoc dev-python/jupyter-sphinx dev-python/plotly
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTHONPATH="${S}"
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}